Safe Haskell | Safe

FunArgs

# Documentation

f

Arguments

:: Ord a |
=> Int | First argument
-> a | Second argument
-> Bool | Third argument
-> (a -> a) | Fourth argument
-> () | Result

g

Arguments

:: a | First argument
-> b | Second argument
-> c | Third argument
-> d | Result

h

Arguments

:: a | First argument
-> b | Second argument
-> c | Third argument
-> d | Result

i

Arguments

:: forall (b :: ()). (d ~ ()) |
=> a b c d | abcd
-> () | Result

j

Arguments

:: forall (a :: ()). proxy a | First argument
-> b | Result